XTMISC_INIT_APP_INITIALISE(3)

FUNCTION
xtmisc_init_app_initialise - Initialise an application for Xt.

SYNOPSIS
#include <karma_xtmisc.h>

Widget xtmisc_init_app_initialise

(XtAppContext *app_context_return, CONST char* application_class, XrmOptionDescList options, Cardinal num_options, int *argc_in_out, String *argv_in_out, String *fallback_resources,

DESCRIPTION
This routine will initialise an application to use Xt. This routine is similar to the <<XtVaAppInitialize>> routine, except that a new colourmap for the application may be created.

app_context_return
    As for <<XtVaAppInitialize>>.

application_class
    As for <<XtVaAppInitialize>>.

options
    As for <<XtVaAppInitialize>>.

num_options
    As for <<XtVaAppInitialize>>.

argc_in_out
    As for <<XtVaAppInitialize>>.

argv_in_out
    As for <<XtVaAppInitialize>>.

fallback_resources
    As for <<XtVaAppInitialize>>.

... Two separate lists of optional pairs of attribute-key attribute-value. The first list is processed by this routine and must be terminated with XTMISC_INIT_ATT_END. The second list is processed by <<XtVaAppInitialize>> and must be terminated by NULL.

RETURN VALUE
The application shell.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/